dunetpc - Bug #18121

G4 stage issue dunetpc v06_65_00
11/05/2017 09:03 AM - Lucas Mendes santos

Status: Closed Start date: 11/05/2017
Priority: High Due date:

Assignee: Tingjun Yang % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Hi,

Running a simulation to test out the channel mapping of the photon detection system. | got the following issue during the g4 stage:

%MSG-s ArtException: PostEndJob 05-Nov-2017 08:10:37 CST ModuleEndJob
cet::exception caught in art

---- OtherArt BEGIN

---- EventProcessorFailure BEGIN

EventProcessor: an exception occurred during current event processing
---- ScheduleExecutionFailure BEGIN

Path: ProcessingStopped.

---- StdException BEGIN

A std::exception occurred during a call to the module LArG4/largeant run: 20000051 subRun: 0 event: 1
and cannot be repropagated.

Previous information:

vector::_M_range_check: __n (which is 24) >= this->size() (which is 24)
---- StdException END

Exception going through path simulate

---- ScheduleExecutionFailure END

---- EventProcessorFailure END

---- OtherArt BEGIN

---- FatalRootError BEGIN

Fatal Root Error: @SUB=TTree::SetEntries

Tree branches have different numbers of entries, with 10 maximum.

---- FatalRootError END

---- OtherArt END

---- OtherArt END

%MSG

I'm currently using prodndk_dune10kt_1x2x6.fcl to generate the ndk samples and standard_g4 dunei0kt_1x2x6.fcl for the g4 stage.
Thanks in advance,

Lucas

History

#1 - 11/05/2017 09:09 AM - Tingjun Yang

- Assignee set to Tingjun Yang

#2 - 11/06/2017 02:35 PM - Tingjun Yang

- Status changed from New to Feedback

The simulated file is /dune/app/users/Imendes/clusterflash_studies/flashcluster_grid/prodndk_dune10kt_1x2x6_gen.root

It looks like this file was produced with the 10kt geometry. In the g4 stage, the code tries to access TPC with index 24 when it crashes. There are 300
TPCs in the 10kt geometry and 24 TPCs in the 1x2x6 geomtry. One should use consistent geometry all along.

Lucas, please provide additional information if you would like me to investigate further.

#3 - 12/07/2017 02:33 PM - Tingjun Yang
Lucas, | will close this issue if you do not disagree.

#4 - 12/15/2017 12:18 PM - Tingjun Yang
- Status changed from Feedback to Closed
